#
# spec file for package hyena
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           hyena
License:        MIT
Group:          Development/Libraries
Version:        0.5
Release:        1%{?dist}
Summary:        Library for .NET applications
Url:            http://banshee-project.org/
Source:         http://ftp.acc.umu.se/pub/GNOME/sources/hyena/0.5/%{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM coolo@opensuse.org - broken Makefile syntax
Patch0:         fix-makefile.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gtk-sharp2
BuildRequires:  mono-basic
BuildRequires:  mono-devel
BuildRequires:  mono-nunit
BuildRequires:  perl-XML-Parser
BuildRequires:  autoconf automake libtool make pkgconfig
BuildRequires:  gtk-sharp2-devel
Requires:       mono-core
Requires:       gtk-sharp2

%description
Hyena is a .NET library that powers Banshee and PDF Mod, among others.

%prep
%setup -q
%patch0 -p1

%build
%configure 
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
#%find_lang %{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
#%doc AUTHORS NEWS README COPYING
%{_libdir}/%{name}
%{_libdir}/pkgconfig/*.pc

#%files lang -f %{name}.lang

%changelog
* Wed Aug 19 2011 <ismael@olea.org> 0.5-1
- minor changes for compiling in Fedora
* Tue Mar 15 2011 coolo@novell.com
- version 0.5
  General:
  * Update to build on Windows with MonoDevelop 2.2.1
  * Disable CheckForOverflowUnderflow in many .csproj
  * Can now include hyena as a git submodule within other projects
  Hyena:
  * Bind gtk_show_uri (bgo#587320)
  * Add StringUtil.EscapeLike
  * Add stream based hashing
  * Add an ApplicationName property to ApplicationContext
  * New SafeUri class
  * New Hyena.Downloader namespace/API
  * New Paths class (bgo#605891)
  * Handle bad indices in MemoryListModel
  * Fix LruCache item expiration
  * Add thread id to Hyena.Log when debugging.
  * Fix file location queries (bgo#612152)
  * Make CryptoUtil.Md5Encode thread-safe
  * [Json] Add serializer
  * New Hyena.Metrics classes for instrumenting apps
  * More extensive platform detection probing
  * Bundle HttpUtility; dependency on System.Web (bgo#607713)
  Hyena.Gui
  * New ListView grid mode
  * Fix ListView a11y crasher (bgo#615892).
  * [Hyena.Gui] Fix ActionManager toolitem icon sizing bgo#609265
  Hyena.Data.Sqlite:
  * Add HYENA_MD5 method
  * Extend SqliteConnection to handle double and nullable values.
  * Case-insensitive column checks
  * Add BinaryFunction class; Lets extensions etc call custom methods
  from SQL even if they're not loaded initially
  * Fix exception handling (bgo#609799)
* Fri May  7 2010 gburt@suse.de
- Version 0.3
  * Fixes and enhancements from Banshee
* Wed Sep 16 2009 <ismael@olea.org> 0.2-1.olea
- minor changes for compiling in Fedora
* Wed Sep  9 2009 gburt@suse.de
- Version 0.2
  * Fixes libdir expansion issue
  * Fixes dll mappings for *bsd
* Tue Aug 18 2009 gburt@suse.de
- Version 0.1
* Thu Aug 13 2009 gburt@suse.de
- Initial release
